import { Context, Plugin } from '@nuxt/types';
export interface GraphqlMiddlewarePluginConfig {
    enabled?: boolean;
    port?: number;
    cacheInBrowser?: boolean;
    cacheInServer?: boolean;
}
export declare class GraphqlMiddlewarePlugin {
    baseURL: string;
    headers: any;
    beforeRequestFn: Function | undefined;
    cache?: Map<string, any>;
    context: any;
    constructor(baseURL: string, headers: any, useCache: boolean, context: Context);
    getPluginHeaderValue(): {
        'Nuxt-Graphql-Middleware-Route': any;
    };
    beforeRequest(fn: Function): void;
    clearCache(): void;
    query(name: string, variables?: any, headers?: any): Promise<any>;
    doBeforeRequest(fetchOptions: Record<string, any>): Promise<any>;
    mutate(name: string, variables?: any, headers?: any): Promise<any>;
}
declare const graphqlMiddlewarePlugin: Plugin;
export default graphqlMiddlewarePlugin;
//# sourceMappingURL=plugin.d.ts.map